%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define srcname psyco

Name:           python-%{srcname}
Version:        1.5
Release:        2%{?dist}

Summary:        The Python Specialing Compiler

Group:          Development/Libraries
License:        MIT
URL:            http://psyco.sourceforge.net/
Source0:        http://download.sourceforge.net/psyco/%{srcname}-%{version}-src.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch:  i386
BuildRequires:  python-devel
Requires:   python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")

%description


%prep
%setup -q -n %{srcname}-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING.txt README.txt doc/
%{python_sitearch}/psyco/*.so
%{python_sitearch}/psyco/*.py
%{python_sitearch}/psyco/*.pyc
%dir %{python_sitearch}/psyco
%ghost %{python_sitearch}/psyco/*.pyo

%changelog
* Wed Nov 02 2005 Shahms E. King <shahms@shahms.com> 1.5-2
- Don't package INSTALL.txt which no longer exists

* Tue Nov 01 2005 Shahms E. King <shahms@shahms.com> 1.5-1
- Update to final upstream release 1.5
- Use srcname and version in URL

* Mon Jun 27 2005 Shahms E. King <shahms@shahms.com> 1.4-5 -
- Add dist tag

* Sat Jun 25 2005 Colin Charles <colin@fedoraproject.org> 1.4-4
- Fix download URL

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Mar 21 2005 Shahms E. King <shahms@shahms.com> 1.4-2 -
- Added ExclusiveArch: i386
- Remove unnecessary python_sitelib define

* Tue Mar 01 2005 Shahms E. King <shahms@shahms.com> 1.4-1
- Repackage for Fedora Extras
